cURL
curl --request GET \
--url https://api.yoshi.ai/v1/scores \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
scores = client.scores.list()
print(scores.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const scores = await client.scores.list();
console.log(scores.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
scores, err := client.Scores.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", scores.Data)
}
yoshi scores list \
--api-key 'My API Key'{
"data": {
"observation_date": "<string>",
"yoshi": 123,
"recovery": 123,
"capacity": 123,
"baseline": 123
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Scores
Get scores
Get the latest financial health scores.
GET
/
scores
cURL
curl --request GET \
--url https://api.yoshi.ai/v1/scores \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
scores = client.scores.list()
print(scores.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const scores = await client.scores.list();
console.log(scores.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
scores, err := client.Scores.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", scores.Data)
}
yoshi scores list \
--api-key 'My API Key'{
"data": {
"observation_date": "<string>",
"yoshi": 123,
"recovery": 123,
"capacity": 123,
"baseline": 123
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Authorizations
A Yoshi API key from Settings → API Keys, or a Yoshi OAuth access token issued by Sign in with Yoshi.
Response
Scores retrieved.
Last modified on June 18, 2026
Was this page helpful?